This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 826238 - TypeError: 'PartitionDevice' object does not support indexing
TypeError: 'PartitionDevice' object does not support indexing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
ppc64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:b08d7e00aafe6a052933937509a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 16:23 EDT by Brent Baude
Modified: 2012-08-03 15:41 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-18.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 15:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-v4VHbU (263.11 KB, text/plain)
2012-05-29 16:23 EDT, Brent Baude
no flags Details

  None (edit)
Description Brent Baude 2012-05-29 16:23:35 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-v4VHbU
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.ppc64
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Tue 29 May 2012 04:17:00 PM EDT
version:        17

anaconda-tb-v4VHbU: Text file, 269423 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.27 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/textw/upgrade_text.py", line 85, in __call__
:    actions = anaconda.storage.devicetree.findActions(device=entry[1],
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/text.py", line 533, in display_step
:    rc = win(self.screen, self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 387, in dispatch
:    rc = self.anaconda.intf.display_step(self.step)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/text.py", line 507, in run
:    self.anaconda.dispatch.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 326, in run
:    self.anaconda.intf.run(self.anaconda)
:  File "/usr/sbin/anaconda", line 862, in <module>
:    anaconda.dispatch.run()
:TypeError: 'PartitionDevice' object does not support indexing

environ:
:LANG=en_US.UTF-8
:LC_NUMERIC=C
:TERM=vt100
:XAUTHORITY=/root/.Xauthority
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=0
:PYTHONPATH=/tmp/updates
:LIBUSER_CONF=/tmp/libuser.aHMVbG
:LVM_SUPPRESS_FD_WARNINGS=1
:PWD=/
:MALLOC_PERTURB_=204
:GCONF_GLOBAL_LOCKS=1
:HOME=/tmp
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:MALLOC_CHECK_=2
Comment 1 Brent Baude 2012-05-29 16:23:41 EDT
Created attachment 587508 [details]
File: anaconda-tb-v4VHbU
Comment 2 Brent Baude 2012-05-29 16:32:22 EDT
It is worth noting this only occurs in text mode, gui-mode (through VNC) seems fine.
Comment 3 Chris Lumens 2012-08-03 15:41:55 EDT
The code this bug resulted from is no longer present as of anaconda-18.3.  Please test with F18 and if you see similar problems, open a new bug.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.